# Insert ICEPICK-C router into JTAG-path
set router [xds add ICEPICK-C $EMU]
xds param $router router.subpaths 1

set dsp_port [xds add PORT $router]
xds param $dsp_port router.address 16
xds param $dsp_port router.default no
xds param $dsp_port router.custom no

# Connect cores to each router's port
set DSP   [xds add TMS320C64PLUS $dsp_port]

###########################################################################
# Select $DSP CPU as target device DEV, to which flash/EEPROM is connected
###########################################################################
set DEV $DSP
###########################################################################
# CPU clock frequency
###########################################################################
set cpu_clock   1000000000
set periph_clock 128000000


###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitCPUEnv { dev } {

  upvar 1 flash_type flash_type

}

###########################################################################
# change this proc according to schematic of your
# board to reset all of the environment of EEPROM/Flash
# for normal operation after programming
###########################################################################
proc UserFinishCPUEnv { dev } {

  upvar 1 flash_type flash_type

}
