# EEPROM parameters - AT24C02

# 0 - I2C eeprom 24xx series
set flash_type 0
set compatible_interfaces { 1 }

# EEPROM capacity in bytes
set flash_size 256

# All pages (sectors) are the same size
set uniform_sector 1

# Page size for "PAGE WRITE" EEPROM operation
set pagesize  8

# Sector size for erasing
set sectorsize  $pagesize

# Programming is performed by one page at a time, not byte/word
set programming_by_byte 0

# number of address bytes after I2C address
set addrbytes 1

# I2C address of EEPROM
set i2caddr   0xA0

# mask for EEPROM addr bits (P0..Pn) in I2C address
set i2cmask   0x00

# Script for Flash/EEPROM specific CPU setup
set ic_specific_setup 24xx.tcl
